org.apache.hadoop.security.authentication.client

## Class AuthenticatedURL.Token

- java.lang.Object
- - org.apache.hadoop.security.authentication.client.AuthenticatedURL.Token

- Enclosing class:
    AuthenticatedURL

      public static class AuthenticatedURL.Token
      extends Object

  Client side authentication token.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()` Creates a token.
    `Token(String tokenStr)` Creates a token using an existing string representation of the token.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSet()` Returns if a token from the server has been set.
    `String` | `toString()` Returns the string representation of the token.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token()

      Creates a token.

    - #### Token

          public Token(String tokenStr)

      Creates a token using an existing string representation of the token.
      Parameters:
        `tokenStr` - string representation of the tokenStr.

  - ### Method Detail

    - #### isSet

          public boolean isSet()

      Returns if a token from the server has been set.
      Returns:
        if a token from the server has been set.

    - #### toString

          public String toString()

      Returns the string representation of the token.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string representation of the token.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.